ModuleLibrary (Gradle API 2.14.1)
Date: 2016-07-18

Package: org.gradle.plugins.ide.idea.model

## [Java] Class ModuleLibrary

- org.gradle.plugins.ide.idea.model.ModuleLibrary

- All Implemented Interfaces and Traits:
    Dependency

      public class ModuleLibrary
      extends groovy.lang.GroovyObjectSupport

  Represents an orderEntry of type module-library in the iml XML.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ModuleLibrary (Collection<? extends Path> classes, Collection<? extends Path> javadoc, Collection<? extends Path> sources, Collection<JarDirectory> jarDirectories, String scope)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `addToNode(groovy.util.Node parentNode)`
    `boolean` | `equals(Object o)`
    `Set<Path>` | `getClasses()` A set of Jar files or directories containing compiled code.
    `boolean` | `getExported()`
    `Set<JarDirectory>` | `getJarDirectories()` A set of directories containing Jar files.
    `Set<Path>` | `getJavadoc()` A set of Jar files or directories containing Javadoc.
    `String` | `getScope()` The scope of this library.
    `Set<Path>` | `getSources()` A set of Jar files or directories containing source code.
    `int` | `hashCode()`
    `boolean` | `isExported()` Whether the library is exported to dependent modules.
    `void` | `setClasses(Set<Path> classes)`
    `void` | `setExported(boolean exported)`
    `void` | `setJarDirectories(Set<JarDirectory> jarDirectories)`
    `void` | `setJavadoc(Set<Path> javadoc)`
    `void` | `setScope(String scope)`
    `void` | `setSources(Set<Path> sources)`
    `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public ModuleLibrary(Collection<? extends Path> classes, Collection<? extends Path> javadoc, Collection<? extends Path> sources, Collection<JarDirectory> jarDirectories, String scope)

  - ### Method Detail

    - #### @Override public void addToNode(groovy.util.Node parentNode)

    - #### @Override public boolean equals(Object o)

    - #### public Set<Path> getClasses()

      A set of Jar files or directories containing compiled code.

    - #### public boolean getExported()

    - #### public Set<JarDirectory> getJarDirectories()

      A set of directories containing Jar files.

    - #### public Set<Path> getJavadoc()

      A set of Jar files or directories containing Javadoc.

    - #### public String getScope()

      The scope of this library. If `null`, the scope attribute is not added.

    - #### public Set<Path> getSources()

      A set of Jar files or directories containing source code.

    - #### @Override public int hashCode()

    - #### public boolean isExported()

      Whether the library is exported to dependent modules.

    - #### public void setClasses(Set<Path> classes)

    - #### public void setExported(boolean exported)

    - #### public void setJarDirectories(Set<JarDirectory> jarDirectories)

    - #### public void setJavadoc(Set<Path> javadoc)

    - #### public void setScope(String scope)

    - #### public void setSources(Set<Path> sources)

    - #### @Override public String toString()